Subject: Re: any chance to use a modern linux kernel on Pegasos1 G3 ?

From: Sven Luther <[email-masked]>
Date: Wed, 16 Mar 2011 09:14:02 +0100

On Wed, Mar 16, 2011 at 01:23:19AM +0100, acrux wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> On Tue, 15 Mar 2011 22:41:49 +0100
> Sven Luther <[email-masked]> wrote:
> 
> > On Tue, Mar 15, 2011 at 09:08:55PM +0100, Gerhard Pircher wrote:
> > > 
> > > > Well, since this is long dead hardware not produced anymore, i
> > > > don't see how the OF could have unbroken itself by moving to
> > > > powerpc.
> > > > 
> > > > It has been age since i looked into this, but to the best of my
> > > > knowledge (and i wrote the above code or at least the earlier
> > > > versions) it should be still broken.
> > > Any idea then, how the workaround can be ported to arch/powerpc/ or
> > > if there is a better one available?
> > 
> > Sorry, it has been years since i looked these parts of the linux
> > kernel, so i don't really know how the arch/powerpc code handles this
> > differently. Your best guess is to hunt for the code yourself, and
> > find the place. I don't remember though if debugging at that time is
> > easily possible though.
> > 
> 
> if chrp support doesn't anymore include Pegasos1 it could be nice to
> remove all that dead code. Albeit it's fun that nobody cared about for
> it during the  ppc=>powerpc switch as Pegasos1 was retired in 2003
> and linux-2.6.17 was released in 2006... about three years.

Also, the Pegasos2 OF implementation corrected these issues.

Notice that 2006 was also the year that debian sabotaged all powerpc work, 
and had me expulsed because some people in the debian-installer team didn't 
support technical critics and had more political pull inside debian than
myself. This happening after almost a decade of me giving my time to debian, 
i kind of lost interest at that point, and nobody stepped up to take over my 
work.

And on top of that, Franz Pop commited suicide last year, which could possibly
have been avoided if debian's leadership would have showed more maturity and
responsability back then. 

Sorry for the off topic rant, but this is something which did take a really
long time for me to get over, and i believe that the debian folk are still not
ready to let it go. I am still censored on debian mailing lists today and probably
banned from irc channels.

Sadly,

Sven Luther